import { Component, OnInit } from '@angular/core';
import { ColumnType, IgxGridComponent, IgxPaginatorComponent } from '@infragistics/igniteui-angular';
import { Employee, employeesData } from './localData';

@Component({
  selector: 'repo-le-grid',
  standalone: true,
  imports: [IgxGridComponent, IgxPaginatorComponent],
  templateUrl: './le-grid.component.html',
  styleUrl: './le-grid.component.scss'
})
export class LeGridComponent implements OnInit {
  public localData: Employee[] = [];
  title = 'Grid01';

  ngOnInit(): void {
    this.localData = employeesData;
  }

  public onColumnInit(column: ColumnType): void {
    if (column.field === 'RegistererDate') {
      column.formatter = (date => date.toLocaleDateString());
    }
  }
}
